<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Socket Server</title>

    <link
      rel="stylesheet"
      href="https://stackpath.bootstrapcdn.com/bootstrap/5.0.0-alpha2/css/bootstrap.min.css"
      integrity="sha384-DhY6onE6f3zzKbjUPRc2hOzGAdEf4/Dz+WJwBvEYL/lkkIsI3ihufq9hk9K4lVoK"
      crossorigin="anonymous"
    />
  </head>
  <body class="container">
    <h1 class="mt-5">Acceso denegado</h1>
    <hr />
    <script
      src="https://cdn.socket.io/4.4.1/socket.io.min.js"
      integrity="sha384-fKnu0iswBIqkjxrhQCTZ7qlLHOFEgNkRmK2vaO/LbTZSXdJfAu6ewRBdwHPhBo/H"
      crossorigin="anonymous"
    ></script>
    <script>
      const socket = io('http://localhost:8080');
      socket.on('connect', () => {
        console.log('conectado');
      });
      socket.on('current-bands', () => {
        // callback a ejecutar
        console.log('data');
      });
    </script>
    <!-- <script>
      // Conexión con el socket server
      const socket = io('http://localhost:8080');
      console.log(socket);
      /// Para emitir
      // socket.emit('mensaje-to-server', { data });
      socket.on('connect', () => {
        console.log('connect');
      });
      // Para escuchar
      socket.on('current-bands', (data) => {
        // callback a ejecutar
        console.log(data);
      });
    </script> -->
  </body>
</html>
